audio = {}
sounds = {}
sounds.menu = love.audio.newSource("Audio/GenericMenu.mp3", "static")
sounds.waterfall = love.audio.newSource("Audio/Waterfall.mp3", "static")
sounds.hiphop = love.audio.newSource("Audio/HipHop.mp3", "static")
sounds.menu_move = love.audio.newSource("Audio/MenuMove.wav", "static")
sounds.menu_select = love.audio.newSource("Audio/MenuSelect.wav", "static")

function audio:play(audio, loop, stopAll)
	if (stopAll == true) then
		love.audio.stop()
	end

	love.audio.play(audio)

	audio:setLooping(loop)
end

function audio:stop()
	love.audio.stop()
end

return audio

