maps = {}
current_map = ""

function maps:titleScene()
	ui.running = true
	audio:play(sounds.menu, true, true)
	objects = {}
	current_map = "Title"

	play = object:new(window_width/2 - 100, 200, 1, 1, 0, "Text")
	play.text = "Play"
	play.selected = true

	quit = object:new(window_width/2 - 120, window_height/2 + 50, 1, 1, 0, "Text")
	quit.text = "Quit"
	quit.selected = false

	title = object:new(window_width/2 - 330, 30, 1, 1, 0, "Text")
	title.text = "Thanks, pgimeno!"

	play.run = function()
		maps:introScene()
	end

	quit.run = function()
		love.event.quit()
	end

	ui[0][0] = play
	ui[0][1] = quit

end

function maps:introScene()
	ui.running = false
	audio:play(sounds.waterfall, true, true)
	objects = {}
	current_map = "Intro"

	object:new(100, 300, 100, 50, 0, "Rectangle")
	object:new(400, 300, 10, 10, 0, "Rectangle")
	object:new(700, 300, 100, 300, 0, "Rectangle")

	player = object:new(100, 200, 30, 30, 0, "Rectangle")
	player.spd = 300
	player.color = color_new(0, 0, 1, 1)
end



function maps:removeScenes()
	objects = {}
	current_map = "None"
end

return maps